Bug 414431 - selinx has memory problems
selinx has memory problems
Status: CLOSED DUPLICATE of bug 385291
Product: Fedora
Classification: Fedora
Component: java-1.7.0-icedtea (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Thomas Fitzsimmons
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-06 12:30 EST by den christen
Modified: 2007-12-12 13:35 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-12 13:35:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description den christen 2007-12-06 12:30:42 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.Summary
    SELinux is preventing /usr/lib/jvm/java-1.7.0-icedtea-1.7.0.0/jre/bin/java
    from loading /tmp/nbi-2129.tmp which requires text relocation.

Detailed Description
    The /usr/lib/jvm/java-1.7.0-icedtea-1.7.0.0/jre/bin/java application
    attempted to load /tmp/nbi-2129.tmp which requires text relocation.  This is
    a potential security problem. Most libraries do not need this permission.
    Libraries are sometimes coded incorrectly and request this permission.  The
    http://people.redhat.com/drepper/selinux-mem.html web page explains how to
    remove this requirement.  You can configure SELinux temporarily to allow
    /tmp/nbi-2129.tmp to use relocation as a workaround, until the library is
    fixed. Please file a http://bugzilla.redhat.com/bugzilla/enter_bug.cgi
    against this package.

Allowing Access
    If you trust /tmp/nbi-2129.tmp to run correctly, you can change the file
    context to textrel_shlib_t. "chcon -t textrel_shlib_t /tmp/nbi-2129.tmp" You
    must also change the default file context files on the system in order to
    preserve them even on a full relabel.  "semanage fcontext -a -t
    textrel_shlib_t /tmp/nbi-2129.tmp"

    The following command will allow this access:
    chcon -t textrel_shlib_t /tmp/nbi-2129.tmp

Additional Information        

Source Context                system_u:system_r:java_t:SystemLow-SystemHigh
Target Context                system_u:object_r:tmp_t
Target Objects                /tmp/nbi-2129.tmp [ file ]
Affected RPM Packages         java-1.7.0-icedtea-1.7.0.0-0.19.b21.snapshot.fc8
                              [application]
Policy RPM                    selinux-policy-3.0.8-62.fc8
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Permissive
Plugin Name                   plugins.allow_execmod
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain 2.6.23.8-63.fc8 #1 SMP
                              Wed Nov 21 18:51:08 EST 2007 i686 i686
Alert Count                   1
First Seen                    Thu 06 Dec 2007 09:48:58 AM MST
Last Seen                     Thu 06 Dec 2007 09:48:58 AM MST
Local ID                      8b8ad27e-0b16-4c1d-aed1-7e5767eaac03
Line Numbers                  

Raw Audit Messages            

avc: denied { execmod } for comm=java dev=sda7 egid=0 euid=500
exe=/usr/lib/jvm/java-1.7.0-icedtea-1.7.0.0/jre/bin/java exit=0 fsgid=0
fsuid=500 gid=0 items=0 path=/tmp/nbi-2129.tmp pid=21078
scontext=system_u:system_r:java_t:s0-s0:c0.c1023 sgid=0
subj=system_u:system_r:java_t:s0-s0:c0.c1023 suid=500 tclass=file
tcontext=system_u:object_r:tmp_t:s0 tty=pts2 uid=500


  
Actual results:


Expected results:


Additional info:
Comment 1 Lillian Angel 2007-12-12 13:35:04 EST

*** This bug has been marked as a duplicate of 385291 ***

Note You need to log in before you can comment on or make changes to this bug.